#

API Docs for: 0.6.0
Show: Inherited Protected Private Deprecated

# SPHSystem Class

Defined in: `src/objects/SPHSystem.js:10`

Smoothed-particle hydrodynamics system

## Constructor

### `SPHSystem`

()

Defined in `src/objects/SPHSystem.js:10`

- Index
- Methods

## Item Index

### Methods

- getNeighbors

## Methods

### `getNeighbors`

(

- `particle`
- `neighbors`

)

Defined in `src/objects/SPHSystem.js:46`

Get neighbors within smoothing volume, save in the array neighbors

#### Parameters:

- `particle` Body
- `neighbors` Array